package com.example.androidsqlite;

import java.util.List;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.widget.Toast;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		  Toast.makeText(getApplicationContext(), "Start!", Toast.LENGTH_SHORT).show();
		  Toast.makeText(getApplicationContext(), "Create DB", Toast.LENGTH_SHORT).show();
				 
		MySQLiteHelper db = new MySQLiteHelper(this);

		/**
		 * CRUD Operations
		 * */
		// add Books
		  Toast.makeText(getApplicationContext(), "Add books...", Toast.LENGTH_SHORT).show();
			
		db.addBook(new Book("Android Application Development Cookbook", "Wei Meng Lee"));   
		db.addBook(new Book("Android Programming: The Big Nerd Ranch Guide", "Bill Phillips and Brian Hardy"));       
		db.addBook(new Book("Learn Android App Development", "Wallace Jackson"));
		  Toast.makeText(getApplicationContext(), "Books added!", Toast.LENGTH_SHORT).show();
			
		// get all books
		List<Book> list = db.getAllBooks();
		  Toast.makeText(getApplicationContext(), "List books", Toast.LENGTH_SHORT).show();
			
		// delete one book
		db.deleteBook(list.get(0));

		  Toast.makeText(getApplicationContext(), "Delete books", Toast.LENGTH_SHORT).show();

		// get all books
		db.getAllBooks();
		  Toast.makeText(getApplicationContext(), "List books", Toast.LENGTH_SHORT).show();
		  Toast.makeText(getApplicationContext(), "bye bye", Toast.LENGTH_SHORT).show();
			
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
